<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Rescue Robin</title>
    <link rel="stylesheet" , href="./style.css">
    <link href="http://fonts.cdnfonts.com/css/joker" rel="stylesheet">
</head>

<body>
    <img class="background" src="./img/background.webp">
    <div class="menu">
        <div class="title">
            <h2>Robin is in danger</h2>
            <h3>He was trapped by Joker</h3>
            <h3>It is <span style="font-size: 55px;">your</span> duty to save him</h3>
            <br>
            <h3>Be cautios, Joker placed some traps to stop you.</h3>
        </div>
        <div class="menu-buttons">
            <button class="btn btn-type1 multiPlayer">
                <span class="mask">Wait for help</span>
            </button>
            <button class="btn btn-type2 singlePlayer">
                <span class="mask">No time to waste <br> Go alone</span>
            </button>
        </div>
    </div>

    <div class="win-screen">
        <div class="title">
        <h1 class="winMessage">Congrats, you were able to defeat the villans and rescue Robin within time.</h1>
        <br>
        <h2 class="moreScore"></h2>
        <img class="bomb-off" src="./img/bomb-off.png">
        <img class="win-img-batman" src="./img/batman-robin.png">
        <img class="win-img-flash" src="./img/flash-robin.png">
        <button class="btn btn-type2" onclick="location.reload();">Play one more time</button>
    </div>
    </div>

    <div class="gameplay">
        <div class="top-section">
            <div class="title">
                <h2>
                    <span>Time's ticking</span>
                </h2>
                <div id="time"></div>
                <h2 class="joke">No, no, no. You can't reset the timer</h2>
            </div>
        </div>

        <div class="game-section">
            <div class="first-board" id="first-board">
                <!--Player 1 scoreboard-->
                <img class="bomb1" src="./img/bomb.png">
                <img alt="batman logo" class="logos" src="./img/player1.png">
                <div class="Player1" data-id="P1">
                    <h2>Batman</h2>
                    <h2>Score: <span id="score1">0</span></h2>
                    <h2>Moves: <span id="moves1">0</span></h2>
                </div>
            </div>
            <!--Grid with cards-->
            <section class="board">
                <div class="card" data-id="harley">
                    <img class="front" src="./img/harley.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="harley">
                    <img class="front" src="./img/harley.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="black">
                    <img class="front" src="./img/black-mask.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="black">
                    <img class="front" src="./img/black-mask.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="penguin">
                    <img class="front" src="./img/penguin.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="penguin">
                    <img class="front" src="./img/penguin.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="riddler">
                    <img class="front" src="./img/riddler.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="riddler">
                    <img class="front" src="./img/riddler.png" />
                    <img class="back" />
                </div>
                <div class="card" data-id="twoface">
                    <img class="front" src="./img/two-face.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="twoface">
                    <img class="front" src="./img/two-face.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="freeze">
                    <img class="front" src="./img/mrfreeze.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="freeze">
                    <img class="front" src="./img/mrfreeze.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="scarecrow">
                    <img class="front" src="./img/scarecrow.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="scarecrow">
                    <img class="front" src="./img/scarecrow.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="joker">
                    <img class="front" src="./img/joker.png" />
                    <img class="back">
                </div>
                <div class="card" data-id="joker">
                    <img class="front" src="./img/joker.png" />
                    <img class="back">
                </div>
            </section>

            <div class="second-board" id="second-board">
                <!--Player 2 scoreboard-->
                <img class="bomb2" src="./img/bomb.png">
                <img alt="flash logo" class="logos" src="./img/player2.png">
                <div class="Player2" data-id="P2">
                    <h2>Flash</h2>
                    <h2>Score: <span id="score2">0</span></h2>
                    <h2>Moves: <span id="moves2">0</span></h2>
                </div>
            </div>
        </div>

        <div class="bottom-section">
            <button class="btn btn-type1" id="restartButton" onclick="restart();">Restart Game</button>
            <button class="btn btn-type2" id="threebyfour">3x4 Mode</button>
            <button class="btn btn-type1" id="fourbyfour">4x4 Mode</button>
            <button class="btn btn-type2" onclick="location.reload();">Back to menu</button>
        </div>

        <script src="./game.js"></script>
</body>

</html>